
Infrastructure - Task #1587

Story # 1530 (Closed): Redefine interface definitions to correspond with Tiers

Define CNRegister.register payload

2011-05-24 13:59 - Dave Vieglais

Status: Closed Start date: 2011-05-24

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone:  Story Points:  

Product Version: *   

Description

There's currently no payload in the method definition for CNRegister.register. Will likely be a Types.Node document.

Associated revisions

Revision 3968 - 2011-06-02 14:14 - Dave Vieglais

Updated node registration api methods and corrected some typos in the Node type description. Closes #1587. Note that

CNRegister.addNodeCapabilities has been renamed CNRegister.updateNodeCapabilities

Revision 3968 - 2011-06-02 14:14 - Dave Vieglais

Updated node registration api methods and corrected some typos in the Node type description. Closes #1587. Note that

CNRegister.addNodeCapabilities has been renamed CNRegister.updateNodeCapabilities

History

#1 - 2011-05-24 14:02 - Dave Vieglais

- Category changed from Documentation to d1_cn_node_registry

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#2 - 2011-06-02 14:14 - Dave Vieglais

- Status changed from New to Closed

Updated API description to include a Node as the payload.
